Skip to main content
GET
/
v2
/
security
/
redteam
/
runs
/
{run_id}
/
attacks
Get Redteam Attacks
curl --request GET \
  --url https://api.valiqor.com/v2/security/redteam/runs/{run_id}/attacks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "input_short": "<string>",
    "response_short": "<string>",
    "attack_vector_name": "<string>",
    "vulnerability_name": "<string>",
    "status": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

run_id
string
required

Query Parameters

limit
integer
default:100

Response

Successful Response

id
string
required
timestamp
string<date-time>
required
input_short
string | null
required
response_short
string | null
required
attack_vector_name
string | null
required
vulnerability_name
string | null
required
status
string
required